Data_directory = ""
output_directory = ""
clearvars
cd(working_directory)
load('KG_fig6_data.mat','all_data');
cd(output_directory)

all_data.nortime(abs(all_data.index_post_20_EJ)>0.5) = ((20.*all_data.index_post_20(abs(all_data.index_post_20_EJ)>0.5))+20)./2;
all_data.oldtime = 20 - all_data.nortime;
all_data.index_post_20_EJ(abs(all_data.index_post_20_EJ)>0.5) = all_data.index_post_20(abs(all_data.index_post_20_EJ)>0.5);


all_data_sorted = sortrows(all_data,'grouping');
male_data = all_data_sorted(all_data_sorted.sex =='m',:);
fmale_data = all_data_sorted(all_data_sorted.sex =='f',:);



%% KW test probably not best, mixed effects model before, counting Genotype as predictor, sex as random effects
%reorder for plotting
all_data.genotype2 = findgroups(all_data.genotype)-1;
all_data.genotype2(all_data.genotype2==2) = 3;
all_data.genotype2(all_data.genotype2==0) = 2;

%exclude mice that did not spend >20 seconds exploring either novel or
%original object as described in methods
all_data_norex = all_data_sorted(all_data_sorted.post_time_EJ>=21,:);
male_data = all_data_norex(all_data_norex.sex =='m',:);
fmale_data = all_data_norex(all_data_norex.sex =='f',:);

%% plots 
%x spacing of plots

all_data_sorted.grouping(all_data_sorted.grouping == 2) = 2.1;
all_data_sorted.grouping(all_data_sorted.grouping == 1) = 2.1;
all_data_sorted.grouping(all_data_sorted.grouping == 3) = 1.1;
all_data_sorted.grouping(all_data_sorted.grouping == 4) = 1.1;
all_data_sorted.grouping(all_data_sorted.grouping == 5) = 3.1;
all_data_sorted.grouping(all_data_sorted.grouping == 6) = 3.1;

clear g
g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.social_index,'color',all_data_sorted.genotype);
g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_color_options('n_color',3,'map',[0.4 0    0.6;0.85 0.4    0;0.7 0.7 0.7])
g.geom_hline('yintercept',0,'style','k--')
g.set_layout_options('Legend',false)
g.set_title('3 Chamber');
figure('Units','Inches','Position',[1 1 1.7 2]);
g.draw();

g.update('marker',all_data_sorted.sex)
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.set_names('x',[],'y','Social index','row',[])
g.axe_property('Xlim',[0.7 3.5],'Ylim',[-0.35 0.45],'YTick',[-0.3 0 0.3],'XTick',[1 2 3],'XTickLabel',["W","c","D"])
g.set_title('3 Chamber');
g.axe_property('ylim',[-0.3 0.5])
g.set_text_options('font','Ariel')
g.draw


print('Social_index','-dpng','-r300')

lm = fitlme(all_data_sorted,'social_index~1+genotype+(1|sex)', 'FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype

clear g


g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.burried_marbles./12,'color',all_data_sorted.genotype);

g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_text_options('font','Ariel')
g.set_title('Marbles');
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
figure('Units','Inches','Position',[1 1 1.7 2]);
g.draw();

g.update('marker',all_data_sorted.sex)
g.geom_jitter('width',0.5,'height',0.07,'alpha',0.3)
g.set_names('x',[],'y','% Buried','row',[])
g.axe_property('Xlim', [0.7 3.5],'Ylim',[0 1],'YTick',[0 0.2 0.4 0.6 0.8],'XTick',[1 2 3],'XTickLabel',["W","c","D"],'YTickLabel',[0:20:100])
g.set_layout_options('Legend',false)
g.draw

print('Marble_bury','-dpng','-r300')



all_data_norex.grouping(all_data_norex.grouping == 2) = 2.1;
all_data_norex.grouping(all_data_norex.grouping == 1) = 2.1;
all_data_norex.grouping(all_data_norex.grouping == 3) = 1.1;
all_data_norex.grouping(all_data_norex.grouping == 4) = 1.1;
all_data_norex.grouping(all_data_norex.grouping == 5) = 3.1;
all_data_norex.grouping(all_data_norex.grouping == 6) = 3.1;

clear g
g=gramm('x',all_data_norex.grouping,'y',all_data_norex.nortime./20,'color',all_data_norex.genotype);

g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_text_options('font','Ariel')
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_hline('yintercept',0.5,'style','k--')
figure('Units','Inches','Position',[1 1 1.7 2]);
g.set_names('x',[],'y','Time Exploring Object (s)','row',[])
g.axe_property('Xlim',[0.7 3.5],'Ylim',[0.2 0.8],'YTick',[0 0.25 0.5 0.75 1],'XTick',[1 2 3],'XTickLabel',["W","c","D"],'YTickLabel',[0 25 50 75 100])

g.set_title('NOR (20s)');

g.draw();
g.update('marker',all_data_norex.sex)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.draw()

print('NOR_nortime20','-dpng','-r300')
lm = fitlme(all_data_norex,'index_post_20_EJ~1+genotype+(1|sex)','FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype

clear g
g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.post_time_EJ,'color',all_data_sorted.genotype);
g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_text_options('font','Ariel')
g.set_title('Branches','FontSize',8);
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
figure('Units','Inches','Position',[1 1 1.7 2]);

g.set_title('NOR');
g.set_names('x',[],'y','Total Time Exploring (s)','row',[])
g.axe_property('Xlim',[0.7 3.5],'Ylim',[0 155],'YTick',[75 150],'XTick',[1 1.3 2 2.3],'XTick',[1 2 3],'XTickLabel',["W","c","D"])

g.draw();
g.update('marker',all_data_sorted.sex)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.draw()

print('NOR_timeall','-dpng','-r300')

lm = fitlme(all_data_sorted,'post_time_EJ~1+genotype+(1|sex)','FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype

clear g
g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.total_distance./1000,'color',all_data_sorted.genotype);
g.stat_summary('geom','errorbar','type','ci','width',1)
g.axe_property('ylim',[2.5 7.5])
g.set_text_options('font','Ariel')
g.set_title('Branches','FontSize',8);
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
%g.geom_hline('yintercept',0,'style','k--')
figure('Units','Inches','Position',[1 1 1.7 2]);
g.set_names('x',[],'y','Total Distance (m)','row',[])
g.axe_property('Ylim',[0 15],'YTick',[0 5 10 15],'Xlim',[0.7 3.7],'XTick',[1 2 3],'XTickLabel',["W","c","D"])

g.set_title('Distance');

g.draw();
g.update('marker',all_data_sorted.sex)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.draw()


print('OFdistance','-dpng','-r300')
lm = fitlme(all_data_sorted,'total_distance~1+genotype+(1|sex)','FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype


clear g
g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.max_speed./1000,'color',all_data_sorted.genotype);
g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_text_options('font','Ariel')
g.set_title('Branches','FontSize',8);
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
figure('Units','Inches','Position',[1 1 1.7 2]);
g.set_names('x',[],'y','Running Speed (m/s)','row',[])
g.axe_property('Xlim',[0.7 3.5],'XTick',[1 2 3],'XTickLabel',["W","c","D"])

g.set_title('Speed');

%figure('Position',[100 100 800 550]);
g.draw();
g.update('marker',all_data_sorted.sex)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.draw()

print('OFspeed','-dpng','-r300')
lm = fitlme(all_data_sorted,'max_speed~1+genotype+(1|sex)','FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype

clear g
g=gramm('x',all_data_sorted.grouping,'y',all_data_sorted.time_center,'color',all_data_sorted.genotype);
g.stat_summary('geom','errorbar','type','ci','width',1)
g.set_text_options('font','Ariel')
g.set_title('Branches','FontSize',8);
g.set_layout_options('Legend',false)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
%g.geom_hline('yintercept',0,'style','k--')
figure('Units','Inches','Position',[1 1 1.7 2]);
g.set_names('x',[],'y','Fraction time in Center','row',[])
g.axe_property('Ylim',[0 0.5],'YTick',[0 0.25 0.5],'Xlim',[0.7 3.5],'XTick',[1 2 3],'XTickLabel',["W","c","D"])

g.set_title('TIC');

g.draw();
g.update('marker',all_data_sorted.sex)
g.set_color_options('n_color',3,'map',[0.4 0    0.6 ;0.85 0.4    0;0.7 0.7 0.7])
g.geom_jitter('width',0.5,'alpha',0.3)
g.set_layout_options('Legend',false)
g.draw()

print('OFtimecenter','-dpng','-r300')
lm = fitlme(all_data_sorted,'time_center~1+genotype+(1|sex)','FitMethod', 'REML','DummyVarCoding','effects')
[pVal F df1 df2] = coefTest(lm, [0,1,-1])%compares WT to cond Scn1a to complete pairwise hypothesis tests
anova(lm)%overall test of sig effect of genotype
